Package com.zfabrik.components.provider.fs

## Class RootBoundFSCRComponent

- java.lang.Object
- - com.zfabrik.components.provider.util.AbstractComponentDescriptor
  - - com.zfabrik.components.provider.util.FSCRDBComponent
    - - com.zfabrik.components.provider.fs.RootBoundFSCRComponent

- All Implemented Interfaces:
    `com.zfabrik.components.IComponentDescriptor`, `java.io.Serializable`

      public class RootBoundFSCRComponent
      extends com.zfabrik.components.provider.util.FSCRDBComponent

  A root bound FSCRDBComponent. We only add some extra information to bind the root the component was found in.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.zfabrik.components.IComponentDescriptor

      `ANY_COMPONENT_TYPE, COMPONENT_CLZ, COMPONENT_DESCRIPTOR_STYLE_PLAIN, COMPONENT_NAME, COMPONENT_TYPE, DEPENDENCIES, EXTENSION_POINTS, LINK_COMPONENT_TYPE, LINK_TARGET_COMPONENT, REVISION_INFO`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RootBoundFSCRComponent​(RootBoundFSCRComponent c)` |
    `RootBoundFSCRComponent​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getRoot()` |
    `void` | `setRoot​(java.lang.String root)` |

    - ### Methods inherited from class com.zfabrik.components.provider.util.FSCRDBComponent

      `equals, hashCode, isHasFile, isHasFolder, isResolved, setHasFile, setHasFolder, setResolved, toString`

    - ### Methods inherited from class com.zfabrik.components.provider.util.AbstractComponentDescriptor

      `getName, getProperties, getProperty, getRawProperties, getRevision, getType, processProperties, processProperties, setName, setProperties, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RootBoundFSCRComponent

          public RootBoundFSCRComponent​(RootBoundFSCRComponent c)

    - #### RootBoundFSCRComponent

          public RootBoundFSCRComponent​(java.lang.String name)

  - ### Method Detail

    - #### setRoot

          public void setRoot​(java.lang.String root)

    - #### getRoot

          public java.lang.String getRoot()